summaryrefslogtreecommitdiff
path: root/debian/tests/python-upstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python-upstream.sh')
-rwxr-xr-xdebian/tests/python-upstream.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/tests/python-upstream.sh b/debian/tests/python-upstream.sh
new file mode 100755
index 00000000..a83dfdcc
--- /dev/null
+++ b/debian/tests/python-upstream.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+set -u
+
+testdir=$PWD/src/python/test
+cd $AUTOPKGTEST_TMP
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ for t in $(find $testdir -type f -name 'test_*.py')
+ do
+ echo "Running test ${t}."
+ /usr/bin/python${py3ver} -B $t
+ done
+done